aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry/per_patch_perf.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2019-07-31 13:42:54 +0000
committerVratko Polak <vrpolak@cisco.com>2019-07-31 14:48:15 +0000
commit17983da5a95d53d2be69537e3816438d114c3d5b (patch)
treeb1cc5c378009f3479c635bcc3eeb87d6bb54b548 /resources/libraries/bash/entry/per_patch_perf.sh
parent18ddfb237072adfa7daaf64de769d5f05e98be1d (diff)
Add: Prerequisites checker
Change-Id: Ida54722ee5c73a0b3e0a8e22692795daf5bb09f3 Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry/per_patch_perf.sh')
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index ef75ea90ce..afe5f97575 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -40,6 +40,7 @@ source "${BASH_FUNCTION_DIR}/common.sh" || {
}
source "${BASH_FUNCTION_DIR}/per_patch.sh" || die "Source failed."
common_dirs || die
+check_prerequisites || die
set_perpatch_vpp_dir || die
build_vpp_ubuntu_amd64 "CURRENT" || die
set_aside_commit_build_artifacts || die